Subject: bug#14138: closed (Re: bug#14138: Emacs for Android segfaults for most screen sizes)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 04 Apr 2013 17:09:03 +0000

Your bug report

#14138: Emacs for Android segfaults for most screen sizes

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14138: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14138
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14138: Emacs for Android segfaults for most screen sizes
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Thu, 04 Apr 2013 13:04:43 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

We don't support that here.

Subject: Emacs for Android segfaults for most screen sizes
From: Andrew Pennebaker <[email-masked]>
To: Emacs Bugs <[email-masked]>
Date: Thu, 4 Apr 2013 09:07:26 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm using zielmicha's Emacs for
Android<https://play.google.com/store/apps/details?id=com.zielm.emacs>
to
run Emacs on my smartphone. It works well overall, but I have to set my
font size really small to prevent Emacs from crashing on startup. No config
files here, just emacs -Q.

Trace:

$ emacs -Q
--------------------------------------------------------------------------------------------------------------------------------------------
Fatal error (11)
emacs: line 2: 10243 Segmentation fault
/data/data/com.zielm.emacs/src/bootstrap-emacs $@

But the problem is not just having enough screen size for Emacs: If I
shrink my onscreen keyboard vertically below 45% of the screen, Emacs
crashes. It seems that Emacs not only needs enough screen space, it needs
just the right amount and no more.

Can someone take a look at Emacs for Android (source on Google
Code<https://github.com/zielmicha/emacs-android>
)?

System:

* Emacs for Android 1.0.1
* Emacs 24.1.50
* bash 4.1.0(1)-release (arm-android-eabi)
* BusyBox 9.2
* Android Terminal Emulator 1.0.52
* Android 4.2.2 Jelly Bean
* Cyanogenmod 10.1-20130304-EXPERIMENTAL-d2tmo-M2
* Samsung Galaxy SIII SGH-T999

-- 
Cheers,

Andrew Pennebaker
www.yellosoft.us